# htmlroc

Converts MLP:CCG rule files from text to HTML!

## Installation

### Requirements

- Go 1.12+
- The text rules from Hithroc's site:
  https://horse.cards/rules/latest.txt

### Running htmlroc

1. Clone project locally and `cd` to it
2. Place the text rules inside the project's folder as `rules.txt`
3. Run this command:
   ```
   go run .
   ```

Alternately, you can compile with `go install` and use the command line flags to specify location of `rules.txt` and `template.html`

## Thanks to

- [Hithroc](https://hithroc.org/) for maitaining text versions of the rules
- [CommentaryIsMagic](http://www.commentaryismagic.com/) for maitaining the official rules
